package dev.inmo.postssystem.client

import dev.inmo.micro_utils.pagination.utils.getAllByWithNextPaging
import dev.inmo.micro_utils.repos.KeyValueRepo

class DBDropper(
    private val repo: KeyValueRepo<String, Any>
) {
    suspend operator fun invoke() {
        repo.unset(repo.getAllByWithNextPaging { keys(it) })
    }
}
